Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IDataExtractionTask

All Superinterfaces:
  IEngineTask

    public interface IDataExtractionTask

extends IEngineTask

an engine task that extracts data from a report. The task allows the return of metadata and data from engine User first creates the task from engine, then sets a report component ID, or report component instance ID. If none is set, data extraction is assumed to be based on all the data stored in the report. The user can call the getMetaData method to retrieve metadata for each resultset. Based on the metadata, he can select additional columns, add filter conditions, or specify sorting conditions.

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.api.IEngineTask
`CANCEL_ON_ERROR, CONTINUE_ON_ERROR, STATUS_CANCELLED, STATUS_FAILED, STATUS_NOT_STARTED, STATUS_RUNNING, STATUS_SUCCEEDED, TASK_DATAEXTRACTION, TASK_GETPARAMETERDEFINITION, TASK_RENDER, TASK_RUN, TASK_RUNANDRENDER, TASK_UNKNOWN`

Method Summary
`IExtractionResults` | `extract()`
`void` | `extract(IDataExtractionOption option)`
`java.util.List` | `getMetaData()` Deprecated.
`java.util.List` | `getResultSetList()` returns the metadata corresponding to the data stored in the report document, for the specific extraction level, i.e., report, daat set, report item, or report item instance levels.
`void` | `selectColumns(java.lang.String[] columnNames)`
`void` | `selectResultSet(java.lang.String resultSetName)` select the result set from which to export data.
`void` | `setDistinctValuesOnly(boolean distinct)` whether gets distinct values
`void` | `setFilters(IFilterDefinition[] simpleFilterExpression)`
`void` | `setInstanceID(InstanceID iid)` * @param iid identifies a report item instance that data extraction will happen on
`void` | `setMaxRows(int maxRows)`
`void` | `setSorts(ISortDefinition[] simpleSortExpression)`
`void` | `setStartRow(int startRow)` Sets start row of the result.

Methods inherited from interface org.eclipse.birt.report.engine.api.IEngineTask
`addScriptableJavaObject, cancel, cancel, close, getAppContext, getCancelFlag, getEngine, getErrors, getID, getLocale, getLogger, getParameterDisplayText, getParameterValue, getParameterValues, getReportRunnable, getStatus, getTaskType, getULocale, setAppContext, setDataSource, setDataSource, setErrorHandlingOption, setLocale, setLocale, setLogger, setParameter, setParameterDisplayText, setParameterValue, setParameterValues, setTimeZone, setUserACL, validateParameters`

Method Detail

### setInstanceID

    void setInstanceID(InstanceID iid)

  * @param iid identifies a report item instance that data extraction will happen on

### getMetaData

    java.util.List getMetaData()
                               throws EngineException

  Deprecated.

  returns the metadata corresponding to the data stored in the report document, for the specific extraction level, i.e., report, daat set, report item, or report item instance levels. To get the metadata for the extracted data, use the getResultMetaData method from the IDataIterator interface.

  Returns:
    a List of IResultMetaData. The list usually has one result set meta data, but could have more if data extraction is based on the whole report
  Throws:
    `EngineException`

### getResultSetList

    java.util.List getResultSetList()
                                    throws EngineException

  returns the metadata corresponding to the data stored in the report document, for the specific extraction level, i.e., report, daat set, report item, or report item instance levels. To get the metadata for the extracted data, use the getResultMetaData method from the IDataIterator interface.

  Returns:
    a List of IResultSetItem.
  Throws:
    `EngineException`

### selectResultSet

    void selectResultSet(java.lang.String resultSetName)

  select the result set from which to export data.

  Parameters:
    `resultSetName` - the result set name

### selectColumns

    void selectColumns(java.lang.String[] columnNames)

  Parameters:
    `columnName` - name of the column to be included in the data set

### setFilters

    void setFilters(IFilterDefinition[] simpleFilterExpression)

  Parameters:
    `simpleFilterExpression` - add one filter condition to the extraction. Only simple filter expressions are supported for now, i.e., LHS must be a column name, only <, >, = and startWith is supported.

### setSorts

    void setSorts(ISortDefinition[] simpleSortExpression)

  Parameters:
    `simpleSortExpression` - add one sort condition to the extraction

### setMaxRows

    void setMaxRows(int maxRows)

  Parameters:
    `maxRows` - set the maximum rows that are returned from ResultSet

### setStartRow

    void setStartRow(int startRow)

  Sets start row of the result.

### setDistinctValuesOnly

    void setDistinctValuesOnly(boolean distinct)

  whether gets distinct values

### extract

    IExtractionResults extract()
                               throws EngineException

  Returns:
    an object of type IExtractionResults, from which data iterators can be obtained and data can be retrieved
  Throws:
    `EngineException`

### extract

    void extract(IDataExtractionOption option)
                 throws BirtException

  Throws:
    `BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.